<?php
require_once __DIR__ . '/../../connect.php';

$id = filterRequest("id");

$sql = "DELETE FROM `promos` WHERE `id` = :id";
$stmt = $con->prepare($sql);
$stmt->bindParam(':id', $id, PDO::PARAM_INT); // استخدام bindParam لحماية الاستعلام
$stmt->execute();

if ($stmt->rowCount() > 0) {
    jsonSuccess(null, "Promo data deleted successfully");
} else {
    jsonError("Failed to delete promo data");
}
?>